Overview | Modules | Class Hierarchy | Classes | Members

# tlp::OuterPlanarTest Class Reference
[Graph_test]

`#include <OuterPlanarTest.h>`

Inherits tlp::GraphObserver.

Inheritance diagram for tlp::OuterPlanarTest:

[legend]
Collaboration diagram for tlp::OuterPlanarTest:

[legend]
List of all members.

## Detailed Description

class for testing the outerplanarity of a graph

## Static Public Member Functions

- static bool isOuterPlanar (Graph *graph)

## Member Function Documentation

static bool tlp::OuterPlanarTest::isOuterPlanar | ( | Graph * | graph | ) | `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010